
Gisaf - Bug #9036

Fix login indicator

25/09/2019 09:55 - Philippe May

Status: Resolved Start date: 25/09/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Implement a validation of the logged in state displayed in UI, by querying the user session on the server.

The same mechanism would also provide the roles of the logged in user, for making the UI more relevant to the users's permissions

(eg. hide buttons)

Associated revisions

Revision babd9605 - 26/09/2019 03:03 - Philippe May

Fixes #9036: user session validity on bootstrap

JWT crypto parameters in config

Cleanup

Refactor to userName and user_name

Refactor main app template

History

#1 - 03/10/2019 15:15 - Philippe May

- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset gisaf|babd96059f7fed8da90562dafff1df09289381a4.
